diff --git a/doc/builtins.0 b/doc/builtins.0
index e6421e01..6b014bef 100644
--- a/doc/builtins.0
+++ b/doc/builtins.0
@@ -303,187 +308,187 @@ BBAASSHH BBUUIILLTTIINN CCOOMMMMAANNDDSS
                               Names of all shell variables.  May also be spec-
                               ified as --vv.
               --CC _c_o_m_m_a_n_d
-                      _c_o_m_m_a_n_d is executed in a subshell environment,  and  its
+                      _c_o_m_m_a_n_d  is  executed in a subshell environment, and its
                       output is used as the possible completions.
               --FF _f_u_n_c_t_i_o_n
-                      The  shell  function _f_u_n_c_t_i_o_n is executed in the current
-                      shell environment.  When the function is  executed,  the
-                      first  argument  ($$11)  is  the name of the command whose
-                      arguments are being completed, the second argument  ($$22)
+                      The shell function _f_u_n_c_t_i_o_n is executed in  the  current
+                      shell  environment.   When the function is executed, the
+                      first argument ($$11) is the name  of  the  command  whose
+                      arguments  are being completed, the second argument ($$22)
                       is the word being completed, and the third argument ($$33)
-                      is the word preceding the word being  completed  on  the
-                      current  command  line.   When it finishes, the possible
-                      completions are retrieved from the value of the  CCOOMMPPRREE--
+                      is  the  word  preceding the word being completed on the
+                      current command line.  When it  finishes,  the  possible
+                      completions  are retrieved from the value of the CCOOMMPPRREE--
                       PPLLYY array variable.
               --GG _g_l_o_b_p_a_t
-                      The  pathname  expansion  pattern _g_l_o_b_p_a_t is expanded to
+                      The pathname expansion pattern _g_l_o_b_p_a_t  is  expanded  to
                       generate the possible completions.
               --PP _p_r_e_f_i_x
-                      _p_r_e_f_i_x is added at the beginning of each  possible  com-
+                      _p_r_e_f_i_x  is  added at the beginning of each possible com-
                       pletion after all other options have been applied.
               --SS _s_u_f_f_i_x
                       _s_u_f_f_i_x is appended to each possible completion after all
                       other options have been applied.
               --WW _w_o_r_d_l_i_s_t
-                      The _w_o_r_d_l_i_s_t is split using the characters  in  the  IIFFSS
-                      special  variable as delimiters, and each resultant word
-                      is expanded.  The possible completions are  the  members
-                      of  the  resultant  list which match the word being com-
+                      The  _w_o_r_d_l_i_s_t  is  split using the characters in the IIFFSS
+                      special variable as delimiters, and each resultant  word
+                      is  expanded.   The possible completions are the members
+                      of the resultant list which match the  word  being  com-
                       pleted.
               --XX _f_i_l_t_e_r_p_a_t
-                      _f_i_l_t_e_r_p_a_t is a pattern as used for  pathname  expansion.
+                      _f_i_l_t_e_r_p_a_t  is  a pattern as used for pathname expansion.
                       It is applied to the list of possible completions gener-
-                      ated by the preceding options and  arguments,  and  each
-                      completion  matching _f_i_l_t_e_r_p_a_t is removed from the list.
-                      A leading !! in _f_i_l_t_e_r_p_a_t negates the  pattern;  in  this
+                      ated  by  the  preceding options and arguments, and each
+                      completion matching _f_i_l_t_e_r_p_a_t is removed from the  list.
+                      A  leading  !!  in _f_i_l_t_e_r_p_a_t negates the pattern; in this
                       case, any completion not matching _f_i_l_t_e_r_p_a_t is removed.
 
-              The  return  value is true unless an invalid option is supplied,
-              an option other than --pp or --rr is supplied without a  _n_a_m_e  argu-
-              ment,  an  attempt  is made to remove a completion specification
+              The return value is true unless an invalid option  is  supplied,
+              an  option  other than --pp or --rr is supplied without a _n_a_m_e argu-
+              ment, an attempt is made to remove  a  completion  specification
               for a _n_a_m_e for which no specification exists, or an error occurs
               adding a completion specification.
 
        ccoommppoopptt [--oo _o_p_t_i_o_n] [--DDEE] [++oo _o_p_t_i_o_n] [_n_a_m_e]
               Modify  completion  options  for  each  _n_a_m_e  according  to  the
-              _o_p_t_i_o_ns, or for the currently-executing completion if  no  _n_a_m_es
-              are  supplied.   If no _o_p_t_i_o_ns are given, display the completion
-              options for each _n_a_m_e or the current completion.   The  possible
-              values  of  _o_p_t_i_o_n  are  those  valid  for  the ccoommpplleettee builtin
-              described above.  The --DD option  indicates  that  the  remaining
+              _o_p_t_i_o_ns,  or  for the currently-executing completion if no _n_a_m_es
+              are supplied.  If no _o_p_t_i_o_ns are given, display  the  completion
+              options  for  each _n_a_m_e or the current completion.  The possible
+              values of _o_p_t_i_o_n  are  those  valid  for  the  ccoommpplleettee  builtin
+              described  above.   The  --DD  option indicates that the remaining
               options should apply to the ``default'' command completion; that
-              is, completion attempted on a command for  which  no  completion
-              has  previously  been defined.  The --EE option indicates that the
-              remaining options should apply to ``empty'' command  completion;
+              is,  completion  attempted  on a command for which no completion
+              has previously been defined.  The --EE option indicates  that  the
+              remaining  options should apply to ``empty'' command completion;
               that is, completion attempted on a blank line.
 
-              The  return  value is true unless an invalid option is supplied,
+              The return value is true unless an invalid option  is  supplied,
               an attempt is made to modify the options for a _n_a_m_e for which no
               completion specification exists, or an output error occurs.
 
        ccoonnttiinnuuee [_n]
               Resume the next iteration of the enclosing ffoorr, wwhhiillee, uunnttiill, or
-              sseelleecctt loop.  If _n is specified, resume  at  the  _nth  enclosing
-              loop.   _n  must  be  >=  1.   If _n is greater than the number of
-              enclosing loops, the  last  enclosing  loop  (the  ``top-level''
+              sseelleecctt  loop.   If  _n  is specified, resume at the _nth enclosing
+              loop.  _n must be >= 1.  If _n  is  greater  than  the  number  of
+              enclosing  loops,  the  last  enclosing  loop (the ``top-level''
               loop) is resumed.  The return value is 0 unless _n is not greater
               than or equal to 1.
 
        ddeeccllaarree [--aaAAffFFggiillnnrrttuuxx] [--pp] [_n_a_m_e[=_v_a_l_u_e] ...]
        ttyyppeesseett [--aaAAffFFggiillnnrrttuuxx] [--pp] [_n_a_m_e[=_v_a_l_u_e] ...]
-              Declare variables and/or give them attributes.  If no _n_a_m_es  are
-              given  then display the values of variables.  The --pp option will
+              Declare  variables and/or give them attributes.  If no _n_a_m_es are
+              given then display the values of variables.  The --pp option  will
               display the attributes and values of each _n_a_m_e.  When --pp is used
-              with  _n_a_m_e  arguments, additional options, other than --ff and --FF,
-              are ignored.  When --pp is supplied  without  _n_a_m_e  arguments,  it
-              will  display  the attributes and values of all variables having
+              with _n_a_m_e arguments, additional options, other than --ff  and  --FF,
+              are  ignored.   When  --pp  is supplied without _n_a_m_e arguments, it
+              will display the attributes and values of all  variables  having
               the attributes specified by the additional options.  If no other
-              options   are   supplied  with  --pp,  ddeeccllaarree  will  display  the
-              attributes and values of all shell  variables.   The  --ff  option
-              will  restrict  the  display  to shell functions.  The --FF option
-              inhibits the display of function definitions; only the  function
-              name  and  attributes are printed.  If the eexxttddeebbuugg shell option
-              is enabled using sshhoopptt, the source file  name  and  line  number
-              where  the  function  is  defined are displayed as well.  The --FF
+              options  are  supplied  with  --pp,  ddeeccllaarree  will   display   the
+              attributes  and  values  of  all shell variables.  The --ff option
+              will restrict the display to shell  functions.   The  --FF  option
+              inhibits  the display of function definitions; only the function
+              name and attributes are printed.  If the eexxttddeebbuugg  shell  option
+              is  enabled  using  sshhoopptt,  the source file name and line number
+              where the function is defined are displayed  as  well.   The  --FF
               option implies --ff.  The --gg option forces variables to be created
-              or  modified  at the global scope, even when ddeeccllaarree is executed
-              in a shell function.  It is ignored in  all  other  cases.   The
-              following  options  can  be used to restrict output to variables
+              or modified at the global scope, even when ddeeccllaarree  is  executed
+              in  a  shell  function.   It is ignored in all other cases.  The
+              following options can be used to restrict  output  to  variables
               with the specified attribute or to give variables attributes:
-              --aa     Each _n_a_m_e  is  an  indexed  array  variable  (see  AArrrraayyss
+              --aa     Each  _n_a_m_e  is  an  indexed  array  variable  (see AArrrraayyss
                      above).
-              --AA     Each  _n_a_m_e  is  an associative array variable (see AArrrraayyss
+              --AA     Each _n_a_m_e is an associative array  variable  (see  AArrrraayyss
                      above).
               --ff     Use function names only.
               --ii     The variable is treated as an integer; arithmetic evalua-
-                     tion  (see AARRIITTHHMMEETTIICC EEVVAALLUUAATTIIOONN above) is performed when
+                     tion (see AARRIITTHHMMEETTIICC EEVVAALLUUAATTIIOONN above) is performed  when
                      the variable is assigned a value.
-              --ll     When the variable is assigned  a  value,  all  upper-case
-                     characters  are  converted to lower-case.  The upper-case
+              --ll     When  the  variable  is  assigned a value, all upper-case
+                     characters are converted to lower-case.   The  upper-case
                      attribute is disabled.
-              --nn     Give each _n_a_m_e the _n_a_m_e_r_e_f attribute, making  it  a  name
-                     reference  to  another  variable.  That other variable is
-                     defined by the value of _n_a_m_e.   All  references,  assign-
-                     ments,  and  attribute  modifications to _n_a_m_e, except for
-                     changing the --nn attribute itself, are  performed  on  the
-                     variable   referenced   by  _n_a_m_e's  value.   The  nameref
+              --nn     Give  each  _n_a_m_e  the _n_a_m_e_r_e_f attribute, making it a name
+                     reference to another variable.  That  other  variable  is
+                     defined  by  the  value of _n_a_m_e.  All references, assign-
+                     ments, and attribute modifications to  _n_a_m_e,  except  for
+                     changing  the  --nn  attribute itself, are performed on the
+                     variable  referenced  by  _n_a_m_e's  value.    The   nameref
                      attribute cannot be applied to array variables.
               --rr     Make _n_a_m_es readonly.  These names cannot then be assigned
                      values by subsequent assignment statements or unset.
-              --tt     Give  each  _n_a_m_e  the  _t_r_a_c_e attribute.  Traced functions
-                     inherit the DDEEBBUUGG  and  RREETTUURRNN  traps  from  the  calling
-                     shell.   The  trace  attribute has no special meaning for
+              --tt     Give each _n_a_m_e the  _t_r_a_c_e  attribute.   Traced  functions
+                     inherit  the  DDEEBBUUGG  and  RREETTUURRNN  traps  from the calling
+                     shell.  The trace attribute has no  special  meaning  for
                      variables.
-              --uu     When the variable is assigned  a  value,  all  lower-case
-                     characters  are  converted to upper-case.  The lower-case
+              --uu     When  the  variable  is  assigned a value, all lower-case
+                     characters are converted to upper-case.   The  lower-case
                      attribute is disabled.
-              --xx     Mark _n_a_m_es for export  to  subsequent  commands  via  the
+              --xx     Mark  _n_a_m_es  for  export  to  subsequent commands via the
                      environment.
 
-              Using  `+'  instead of `-' turns off the attribute instead, with
+              Using `+' instead of `-' turns off the attribute  instead,  with
               the exceptions that ++aa may not be used to destroy an array vari-
-              able  and  ++rr will not remove the readonly attribute.  When used
+              able and ++rr will not remove the readonly attribute.   When  used
               in a function, ddeeccllaarree and ttyyppeesseett make each _n_a_m_e local, as with
               the llooccaall command, unless the --gg option is supplied.  If a vari-
-              able name is followed by =_v_a_l_u_e, the value of  the  variable  is
-              set  to  _v_a_l_u_e.  When using --aa or --AA and the compound assignment
-              syntax to create array variables, additional attributes  do  not
+              able  name  is  followed by =_v_a_l_u_e, the value of the variable is
+              set to _v_a_l_u_e.  When using --aa or --AA and the  compound  assignment
+              syntax  to  create array variables, additional attributes do not
               take effect until subsequent assignments.  The return value is 0
-              unless an invalid option is encountered, an attempt is  made  to
-              define  a  function  using ``-f foo=bar'', an attempt is made to
-              assign a value to a readonly variable, an  attempt  is  made  to
-              assign  a  value to an array variable without using the compound
-              assignment syntax (see AArrrraayyss above), one of the _n_a_m_e_s is not  a
-              valid  shell variable name, an attempt is made to turn off read-
-              only status for a readonly variable, an attempt is made to  turn
+              unless  an  invalid option is encountered, an attempt is made to
+              define a function using ``-f foo=bar'', an attempt  is  made  to
+              assign  a  value  to  a readonly variable, an attempt is made to
+              assign a value to an array variable without using  the  compound
+              assignment  syntax (see AArrrraayyss above), one of the _n_a_m_e_s is not a
+              valid shell variable name, an attempt is made to turn off  read-
+              only  status for a readonly variable, an attempt is made to turn
               off array status for an array variable, or an attempt is made to
               display a non-existent function with --ff.
 
        ddiirrss [[--ccllppvv]] [[++_n]] [[--_n]]
-              Without options,  displays  the  list  of  currently  remembered
-              directories.   The  default  display  is  on  a single line with
-              directory names separated by spaces.  Directories are  added  to
-              the  list  with  the  ppuusshhdd  command;  the  ppooppdd command removes
+              Without  options,  displays  the  list  of  currently remembered
+              directories.  The default display  is  on  a  single  line  with
+              directory  names  separated by spaces.  Directories are added to
+              the list with  the  ppuusshhdd  command;  the  ppooppdd  command  removes
               entries from the list.
               --cc     Clears  the  directory  stack  by  deleting  all  of  the
                      entries.
-              --ll     Produces  a  listing  using  full  pathnames; the default
+              --ll     Produces a listing  using  full  pathnames;  the  default
                      listing format uses a tilde to denote the home directory.
               --pp     Print the directory stack with one entry per line.
-              --vv     Print the directory stack with one entry per  line,  pre-
+              --vv     Print  the  directory stack with one entry per line, pre-
                      fixing each entry with its index in the stack.
               ++_n     Displays the _nth entry counting from the left of the list
                      shown by ddiirrss when invoked without options, starting with
                      zero.
-              --_n     Displays  the  _nth  entry  counting from the right of the
+              --_n     Displays the _nth entry counting from  the  right  of  the
                      list shown by ddiirrss when invoked without options, starting
                      with zero.
 
-              The  return value is 0 unless an invalid option is supplied or _n
+              The return value is 0 unless an invalid option is supplied or  _n
               indexes beyond the end of the directory stack.
 
        ddiissoowwnn [--aarr] [--hh] [_j_o_b_s_p_e_c ...]
-              Without options, remove each _j_o_b_s_p_e_c from the  table  of  active
-              jobs.   If _j_o_b_s_p_e_c is not present, and neither the --aa nor the --rr
-              option is supplied, the _c_u_r_r_e_n_t _j_o_b is used.  If the  --hh  option
-              is  given,  each  _j_o_b_s_p_e_c  is not removed from the table, but is
-              marked so that SSIIGGHHUUPP is not  sent  to  the  job  if  the  shell
-              receives  a  SSIIGGHHUUPP.   If  no _j_o_b_s_p_e_c is supplied, the --aa option
-              means to remove or mark all jobs; the --rr option without  a  _j_o_b_-
-              _s_p_e_c  argument  restricts operation to running jobs.  The return
+              Without  options,  remove  each _j_o_b_s_p_e_c from the table of active
+              jobs.  If _j_o_b_s_p_e_c is not present, and neither the --aa nor the  --rr
+              option  is  supplied, the _c_u_r_r_e_n_t _j_o_b is used.  If the --hh option
+              is given, each _j_o_b_s_p_e_c is not removed from  the  table,  but  is
+              marked  so  that  SSIIGGHHUUPP  is  not  sent  to the job if the shell
+              receives a SSIIGGHHUUPP.  If no _j_o_b_s_p_e_c is  supplied,  the  --aa  option
+              means  to  remove or mark all jobs; the --rr option without a _j_o_b_-
+              _s_p_e_c argument restricts operation to running jobs.   The  return
               value is 0 unless a _j_o_b_s_p_e_c does not specify a valid job.
 
        eecchhoo [--nneeEE] [_a_r_g ...]
-              Output the _a_r_gs, separated by spaces,  followed  by  a  newline.
-              The  return  status  is 0 unless a write error occurs.  If --nn is
+              Output  the  _a_r_gs,  separated  by spaces, followed by a newline.
+              The return status is 0 unless a write error occurs.   If  --nn  is
               specified, the trailing newline is suppressed.  If the --ee option
-              is  given,  interpretation  of  the  following backslash-escaped
-              characters is enabled.  The --EE option disables  the  interpreta-
-              tion  of these escape characters, even on systems where they are
-              interpreted by default.  The xxppgg__eecchhoo shell option may  be  used
-              to  dynamically  determine  whether  or  not  eecchhoo expands these
-              escape characters by default.  eecchhoo does  not  interpret  ----  to
-              mean  the  end of options.  eecchhoo interprets the following escape
+              is given,  interpretation  of  the  following  backslash-escaped
+              characters  is  enabled.  The --EE option disables the interpreta-
+              tion of these escape characters, even on systems where they  are
+              interpreted  by  default.  The xxppgg__eecchhoo shell option may be used
+              to dynamically determine  whether  or  not  eecchhoo  expands  these
+              escape  characters  by  default.   eecchhoo does not interpret ---- to
+              mean the end of options.  eecchhoo interprets the  following  escape
               sequences:
               \\aa     alert (bell)
               \\bb     backspace
